Booking Management API
Get Booking List
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| booking_id | String | Body | Booking ID |
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_picture_url | String | Body | Amenity picture URL |
| amenity_description | String | Body | Amenity description |
| building_name | String | Body | Building name |
| family_name | String | Body | Family name |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| state | String | Body | State, pending or rejected or canceled or success |
| is_expired | Boolean | Body | Whether the booking is expired or not? true: yes false: no |
| pin_code | String | Body | PIN code |
| qr_code_url | String | Body | QR code URL |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_picture_url": "https://test.akubela.com/g",
"amenity_description": "test",
"building_name": "001",
"family_name": "home",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45"
}
]
}
Failure Return Example
Get Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_picture_url | String | Body | Amenity picture URL |
| amenity_description | String | Body | Amenity description |
| building_name | String | Body | Building name |
| family_name | String | Body | Family name |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| state | String | Body | State, pending or rejected or canceled or success |
| is_expired | Boolean | Body | Whether the booking is expired or not? true: yes false: no |
| pin_code | String | Body | PIN code |
| qr_code_url | String | Body | QR code URL |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_picture_url": "https://test.akubela.com/g",
"amenity_description": "test",
"building_name": "001",
"family_name": "home",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45"
}
}
Failure Return Example
Get Booking Amenity List
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_picture_url | String | Body | Amenity picture URL |
| amenity_description | String | Body | Amenity description |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g"
}
]
}
Failure Return Example
Get Booking Time List
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| date | String | Body | Yes | Date |
| amenity_id | String | Body | Yes | Amenity ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| allowed_booking_time | Object<booking_time> | Body | Allowed booking time |
| disallowed_booking_time | []Object<booking_time> | Body | Disallowed booking time |
booking_time description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_time_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"date": "2024-01-02"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"allowed_booking_time": {
"start_time": "08:00",
"finish_time": "23:00"
},
"disallowed_booking_time": [
{
"start_time": "08:30",
"finish_time": "11:30"
},
{
"start_time": "21:30",
"finish_time": "23:00"
}
]
}
}
Failure Return Example
Create Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| amenity_id | String | Body | Yes | Amenity ID |
| start_time | String | Body | Yes | Start time, UTC |
| duration | Integer | Body | Yes | Booking duration time (min) |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| booking_id | String | Body | Booking ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"start_time": "2024-01-02 13:14:15",
"duration": 80
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Failure Return Example
Create Code Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| booking_code | String | Body | Yes | Booking code |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| booking_id | String | Body | Booking ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_code_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"booking_code": "bfa332e258aae1badbb27d31128f442dc"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Failure Return Example
Delete Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| bookings | []Object<booking> | Body | Yes | Booking information |
booking description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"bookings": [
{
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}